Bug 1955754 - gnome-session kiosk-session support still isn't up to muster
Summary: gnome-session kiosk-session support still isn't up to muster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-session
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Ray Strode [halfline]
QA Contact: Tomas Pelka
URL:
Whiteboard:
Depends On:
Blocks: 1959505
TreeView+ depends on / blocked
 
Reported: 2021-04-30 18:12 UTC by Ray Strode [halfline]
Modified: 2021-11-10 07:28 UTC (History)
5 users (show)

Fixed In Version: gnome-session-3.28.1-12.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1959505 (view as bug list)
Environment:
Last Closed: 2021-11-09 19:34:22 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Proposed updates (6.11 KB, patch)
2021-06-04 18:21 UTC, Ray Strode [halfline]
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4381 0 None None None 2021-11-09 19:34:42 UTC

Description Ray Strode [halfline] 2021-04-30 18:12:04 UTC
In 8.3 we added a special kiosk session for specialized single-application customer deployments. 

Unfortunately, at the time I inadvertently shipped the xsession file from that kiosk session in both the right place (gnome-session-kiosk-session) and duplicated in the wrong place (gnome-session-xsession).

This is because the xsession subpackage uses a glob:

%files xsession•
%{_datadir}/xsessions/*•

so it go both session files.

So by default in 8.3 and 8.4 we show a "Kiosk" session in the login screen gear menu that doesn't work (since it's missing the rest of the files from the kiosk-session subpackage).

We should mop that up, and drop the kiosk xsession file from gnome-session-xsession

Comment 9 Ray Strode [halfline] 2021-06-04 18:21:46 UTC
Created attachment 1789017 [details]
Proposed updates

These are the proposed changes. i'll push them when the outage is over.

Comment 10 Tomas Pelka 2021-08-10 07:27:51 UTC
I guess this could be dup of 1955754

Comment 11 Tomas Pelka 2021-08-10 07:29:03 UTC
(In reply to Tomas Pelka from comment #10)
> I guess this could be dup of 1955754

I meant 1965338

Comment 12 Tomas Pelka 2021-08-10 11:50:09 UTC
(In reply to Tomas Pelka from comment #11)
> (In reply to Tomas Pelka from comment #10)
> > I guess this could be dup of 1955754
> 
> I meant 1965338

Ignore I confused it with rhel9 bz

Comment 18 errata-xmlrpc 2021-11-09 19:34:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4381


Note You need to log in before you can comment on or make changes to this bug.